c_nnpnts(3NCARG)

NAME
c_nnpnts - interpolate at a single point

FUNCTION PROTOTYPE
void c_nnpnts(float, float, float *);

SYNOPSIS
void c_nnpntinits (x, y, z);

DESCRIPTION

x   The X coordinate of the point where interpolation is desired.

y   The Y coordinate of the point where interpolation is desired.

z   *z is the interpolated functional value at the point (X,Y).

USAGE
This function is invoked when you want to interpolate at an individal point. c_nnpntinits must be called prior to calling c_nnpnts. c_nnpntend must be called to terminate single point mode.

ACCESS
To use c_nnpnts, load the NCAR Graphics library ngmath.

SEE ALSO
natgrid, natgrid_params, c_natgrids, c_nnpntinits, c_nnpntend.

Complete documentation for Natgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/natgrid/nnhome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.